# WP Job Manager

## 2.4.1 - 2026-02-24
* Add permission check to listing query parameters (#2914)
* Fix structured data output for password-protected listings (#2913)

* Update actions/cache to use v4 (#2896)
* reCaptcha script not being loaded (#2893)
* add a additional action to the do_feed_rss2
* fix hardcoded dashboard expiration date format
* Dev: Fix deprecated  methods
* Fix file input field for forms not marked as required

## 2.4.0 - 2024-08-08
* Fix job dashboard actions menu in Safari
* Fix PHP 8.3 support
* Remove support for Internet Explorer 11
* Fix Wordpress 6.6 compatibility
* Fix classic editor support for job listings

## 2.3.0 - 2024-04-29
New!

* Job Statistics — enable insights like job listing page views, unique visits and search impressions to be collected and displayed to employers in the jobs dashboard.
* Add Google reCAPTCHA v3 support

Improvements: 

* New: Job statistics overlay
* Change: Redesign job dashboard
* Change: Allow job duplication in the job dashboard for any job 
* Security: Don't return unpublished jobs only in the promote job endpoint
* Fix renewals for WordPress.com licenses
* Fix issues with rich e-mails on some e-mail providers
* Fix e-mail styling in some e-mail clients  
* Fix expiry date not showing up in backend editor
* Fix: Add fallback to date format in case it's missing
* Fix: Prevent past dates from being used in the datepicker

For developers:

* Add filter to disable promoted jobs
* Add placeholder options to select field
* Job dashboard template has been rewritten

## 2.2.2 - 2024-02-15
* Fix issue with rich e-mails on some e-mail providers (#2753)
* Fix: 'featured_first' argument now works when 'show_filters' is set to false.
* Improve checkbox and radio inputs for styled forms

## 2.2.1 - 2024-01-31
* Fix PHP 7.x error for mixed returned type (#2726)

## 2.2.0 - 2024-01-29
New:

* Allow scheduling listings during job submission — add an option to show a 'Scheduled Date' field in the job submission form
* Add new [jobs] shortcode parameter, featured_first so you can ensure featured listings always show up on top.
* Add support for user sessions without a full account (used in the Job Alerts extension)

Changes:

* Improve styling for rich text e-mails
* Include plain text alternative for rich text e-mails for better compatibility
* Store previous license when plugin is deactivated for easier reactivation later.
* Update design for settings and marketplace pages

Fixes:

* Fix custom role permission issues (#2673)
* Fix RSS, Reset, Add Alert links not showing on search page without a keyword
* Improve PHP 8 support
* Fix numeric settings field issues
* Improve e-mail formatting and encoding, remove extra whitespace
* Add file type validation and error message to company logo upload
* Fix cache issue when marking jobs as filled/not filled via bulk actions
* Do not emit warning when user with insufficient access to Job Manager menu tries to access wp-admin

## 2.1.1 - 2023-11-21
* Fix link to extensions page (#2650)
* Update Twitter to the new X logo

## 2.1.0 - 2023-11-17
* Fix: Remove public update endpoint and add nonce check (#2642)

## 2.0.0 - 2023-11-17
* Enhancement: Improve settings descriptions (#2639)
* Enhancement: Add directApply in Google job schema (#2635)
* Enhancement: Add 'Don't show this again' link to dismiss promote job modal in the editor (#2632)
* Enhancement: Add landing pages for Applications and Resumes extensions (#2621)
* Fix: Align actions in notices in the center (#2637)
* Fix: Safeguard array in WP_Job_Manager_Settings::input_capabilities (#2631)
* Fix: Escape menu titles and various admin labels (#2630)
* Fix: Incorrectly duplicated string in settings (#2628)
* Fix: Add array initialization to avoid warning (#2619)
* Fix: Do not check for plugin updates when there are no plugins (#2605)
* Change: Reorganize administration menu (#2621)
* Change: Update naming from Add-ons to Extensions, Marketplace (#2621)

## 1.42.0 - 2023-10-05
New!

* Easily promote job listings on Indeed, LinkedIn, and 1000s of job boards with JobTarget integration. See https://wpjobmanager.com/jobtarget for more information.

Improvements:

* Fix: Only show file upload input for company logo when it's empty (#2569)
* Fix: Fix error when showing admin notices (#2557)
* Fix: Show the links (RSS, Reset) below search even when there are no results (#2454)
* Tweak: Improve usage tracking for plugins (#2576)

For developers:

* Fix: In forms, support dynamically added date inputs (#2573)
* New: Allow plugins to override renewal values (#2566)
* Tweak: Rename "licence" to "license" throughout codebase (#2554)
* Fix: More efficient license checking for core add-ons (#2552)

## 1.41.0 - 2023-06-10
* Enhancement: Introduce listing renewals #2422
* Enhancement: Allow searching multiple job locations at once #2433
* Fix: Add check for job listing limit being 0 #2362
* Fix: Trigger search when submitting search form #2457
* Fix: Always show search actions #2454
* Fix: Fix PHP 8.2 deprecations #2456
* Fix: Make forms responsive #2453
* Fix: Update $company_tagline check for PHP8+ #2430
* Fix:  Update notice string from 'c' to 's' license spelling #2429
* Change: Update WPJM logo #2482
* Change: Add hook in job-submitted template #2458
* Change: Run job_manager_job_submitted_content filter in every case #2474
* Change: Update historical notices to use the new render_notice method. #2409

## 1.40.2 - 2023-05-26
* Revert: Hide expired job listings from archives

## 1.40.1 - 2023-05-12
* Fix: Icons not displaying properly

## 1.40.0 - 2023-05-11
* Enhancement: Improve licensing page experience
* Enhancement: New email notifications setting
* Enhancement: Improve discoverability of addon updates
* Enhancement: New admin notices sytem with redesign
* Fix: "Hide Expired Listings Content" setting
* Fix: Hide expired job listings from archives
* Fix: Show license notice only to users who can manage licenses
* Fix: Select menu overlapping in Job Listing frontend
* Fix: Company video overlapping when no tagline set
* Change: Update tipTip library to use WooCommerce’s version
* Change: Bumped minimum PHP version from 7.2 to 7.4

## 1.39.0 - 2022-12-13
* Enhancement: Download first-party plugin extension translations
* Enhancement: Add integration to Yoast SEO schema (@jdevalk)
* Fix: Make salary placeholder string translatable

## 1.38.1 - 2022-10-26
* Enhancement: Added support for WordPress.com marketplace
* Change: Only perform application field validation when required or not empty (@tripflex)
* Fix: Deprecated error in `the_company_twitter()` (@MPolleke)
* Fix: Using WP Job Manager functions before they're fully loaded.

## 1.38.0 - 2022-08-06
* Enhancement: Add remote position to filtering (@tripflex)
* Enhancement: Add setting to enable/disable remote position field (@tripflex)
* Enhancement: Add mobile support for keyword and location fields (@tripflex)
* Fix: Remove multiple location search, revert back to original handling prior to 1.36 (@tripflex)
* Fix: Translation issue in onboarding wizard. (@NekoJonez)
* Fix: Better support for jobs submissions with `0` as input

## 1.37.0 - 2022-07-18
* Enhancement: Job Visibility Settings
* Enhancement: New settings for Salary fields

## 1.36.2 - 2022-06-21
* Fix: Revert Job Visibility Settings feature

## 1.36.1 - 2022-06-21
* Enhancement: Add salary field to satisfy Google's job search schema
* Enhancement: Allow location to display as either City/St or Full Address
* Enhancement: Add link to Jobs Dashboard after submitting job
* Enhancement: Ability to add multiple locations in search
* Enhancement: Add support for remote job listings
* Enhancement: Add jobLocationType: TELECOMMUTE, per Google
* Enhancement: Job Visibility Settings
* Enhancement: Allow user to select the pagination type for the [jobs] page
* Enhancement: Added setting to bypass trash for job listings
* Enhancement: Add Job submission limit
* Fix: Form validation - consider zero (0) as a value for required fields
* Fix: Jobs CPT doesn't show password field when job is password protected
* Fix: Undefined type PHP Notice
* Fix: Fix broken lost license key link
* Fix: Return $redirect_url when nothing to do with bulk edit

## 1.35.3 - 2022-03-02
* Fix: Use wp_kses_post to process a job title instead of esc_html
* Fix: Fix dependencies (npm/composer) problems
* Fix: Decode html special chars for mailto link (@RafaelKr)
* Fix: Reset job filter properly by using jQuery's prop instead of jQuery's attr
* Fix: Fix not translatable string (@masteradhoc)
* Fix: Disable transient cache when the order is set to random or random featured
* Fix: Fix button "Apply for job" when the page is translated using Google Translate

## 1.35.2 - 2021-08-09
* Enhancement: Add agreement checkbox to job submission.
* Fix: Remove unnecessary filter avoiding warning in WP 5.8.
* Fix: Fix padding on "Apply for job" button.

## 1.35.1 - 2021-05-13
* Change: On new installs, do not enable account registration on job submission page by default.
* Fix: Company name color contrast. (@DaWoblefet)
* Fix: Fix issue when Select2 isn't used on the job submission form. (@tripflex)

## 1.35.0 - 2021-02-17
* Change: Bumped minimum WordPress version to 5.4.
* Change: Listings now expire (by default) at the end of the expiration date.
* Change: Job listing expiration checks uses the WordPress time zone.
* Change: All dates are now presented using the WordPress time zone.
* Change: Transitioned from LESS to SCSS for CSS generation. May affect final CSS generation and should be tested with theme.
* Fix: jQuery UI CSS 404s when jQuery Migrate plugin is installed.
* Fix: Pagination on job dashboard page when actions are completed.
* Fix: Application Email/URL field will give more actionable validation errors.
* Fix: Action `job_manager_job_submitted` fired when outside of standard submission flow.
* Fix: `job_manager_select2_filters_args` pollution on frontend. (@tripflex)
* Fix: `is_wpjm_page` returns true if none are defined. (@ibndawood)
* Fix: Missing variable error with cached widgets.
* Tweak: reCAPTCHA setting has more clear language. (@tripflex)
* Dev: Added filter `submit_job_form_create_account_role` for user role when created on job submission. (@tripflex)
* Dev: Added filter `job_manager_should_run_shortcode_action_handler` for if a job dashboard action should run.
* Dev: Added filter `job_manager_get_form_action` to modify the action of a frontend form. (@tripflex)
* Template update: `job-dashboard.php` with new date functions.

## 1.34.5 - 2020-12-15
* Fix: Jobs list not appearing in the page load while using Firefox.

## 1.34.4 - 2020-11-24
* Fix: Harden security of job dashboard actions. Reported by Slavco.
* Updated template: `job-dashboard.php`.

## 1.34.3 - 2020-08-10
* Fix: Hide filled listings in WordPress 5.5 sitemaps.
* Fix: Issue with editing a job after getting to a preview step for another job.
* Fix: Remove query args from paginate_links urls. (@JuanchoPestana)
* Change: Add download button for custom file fields in the admin.
* Dev: Add a filter to enable external file blocking (`job_manager_submit_job_reject_external_files`).
* Dev: Update `select2` to 4.0.13.
* Updated template: `job-submit.php` with change to the `Create A New Job` link URL.

## 1.34.2 - 2020-05-28
* Enhancement: New filter to skip validation for application field.
* Enhancement: New method for clearing fields.
* Fix: Improve TwentyTwenty theme compatibility (@JuanchoPestana)
* Fix: Issue in RSS feed with empty query parameters.
* Fix: Issue on Jobs page with empty query parameters.
* Fix: Conflict with search query parameters on Jobs page.
* Fix: Ensuring hidden jobs do not display in RSS feed.
* Fix: Image validation when posting a job.
* Fix: JS error in file upload.
* Fix: Removed extra whitespace in textarea settings fields.
* Fix: Several untranslatable strings are now translatable.
* Fix: CC header in emails.
* Fix: Search category query sanitization.
* Fix: Remove PHP notices. (@truongwp)

## 1.34.1 - 2019-11-06
* Templates Updated: `job-submitted.php`, `job-dashboard.php`.
* Enhancement: Email notifications are sent separately if multiple recipients are listed.
* Enhancement: Notices at end of job submission process are now displayed as a styled notice. (@DaveParkerRKD)
* Fix: Resuming job listing submission at a particular step is now fixed.
* Fix: Issue with some permalink structures and WPMU would cause issues on `[jobs]` page.
* Dev: Adds the ability to block some jobs from being edited in the frontend.
* Dev: Adds ability to force some email notifications to be enabled.
* Dev: Allows email notifications to be sent immediately.
* Dev: Adds ability for settings to reference other settings tabs.
* Dev: Standardizes jQuery UI datepicker script IDs in frontend and backend. Plugins and themes should enqueue `wp-job-manager-datepicker` if they need jQuery UI datepicker.

## 1.34.0 - 2019-10-01
* Templates Updated: `content-job_listing.php`, `job-submitted.php`.
* Enhancement: Add support for pre-selecting categories in `[jobs]` using category slugs in query string (e.g. `/jobs?search_category=developer,pm,senior`).
* Change: Job listing now supports `author` functionality, which will expose the author field in the REST API.
* Change: Menu position is fixed in WP admin. Plugins such as Resumes and Applications will need to be updated to show in WP admin below WPJM. (@technerdlove)
* Change: Filter form on `[jobs]` resets on page refresh and uses query string as expected.
* Change: No longer required to generate usernames from email for password field. (@manzoorwanijk)
* Change: Use minified version of remote jQuery UI CSS. (@ovidiul)
* Change: Google Maps link uses https.
* Fix: Clear the `filled` flag when relisting a job listing.
* Fix: Page titles are properly set during initial set up. (@JuanchoPestana)
* Fix: Correctly format list of file extensions when an unsupported file type is uploaded.
* Fix: Latitude and longitude are correctly used in `content-job_listing.php` template. (@MarieComet)
* Fix: Delete widget options on plugin uninstall. (@JuanchoPestana)
* Fix: Remove unused parameter in `job-submitted.php` template. (@JuanchoPestana)
* Third Party: Fix issue with saving attachments when using Download Attachments plugin.
* Third Party: Fix issue with Polylang where translations get overwritten on save of another language.
* Dev: Adds the ability to completely disable the state saving functionality of `[jobs]` results.
* Dev: Allows custom calls to `get_job_listings()` to just get `ids` and `id=>parent`. (@manzoorwanijk)
* Dev: Switched to short-array syntax across plugin.
* Dev: Updated `jquery-fileupload` library to 10.2.0.
* Dev: Updated `select2` library to 4.0.10.

## 1.33.5 - 2019-08-15
* Fix: Issue where a JS error could occur when submitting a job.

## 1.33.4 - 2019-07-25
* Note: WP Job Manager now requires a minimum PHP version of 5.6.20.
* Fix: Javascript error in job-submission.js on custom job description fields.
* Fix: Checking typeof undefined should be in quotes in job_submission.js.
* Fix: Plugin activation issue that didn't set up roles correctly.
* Fix: Escaped HTML issue in expiring jobs email notice.
* Change: Added additional unslashing and sanitization of input variables from forms.
* Change: Limited direct database access within the plugin and migrated to WordPress core functions when possible.
* Removed: Transient garbage collection. WordPress 4.9 and up handle this automatically.

## 1.33.3 - 2019-07-08
* Fix: Upgrade jquery-fileupload to v9.32.0.
* Fix: Set frame origin on pages where shortcodes are embedded.

## 1.33.2 - 2019-06-13
* Fix: Issue with `[jobs]` filter form on some themes and plugins.

## 1.33.1 - 2019-06-10
* Fix: reCAPTCHA is checked when saving draft job listings.
* Fix: Fix for fatal error encountered when importing jobs with WP All Import.
* Fix: Maximum file upload limit is now not set for multiple file upload fields.
* Fix: Theme compatibility fix when job listings are shown outside of the `[jobs]` shortcode.
* Fix: Custom rich text fields no longer have their HTML tags removed.

## 1.33.0 - 2019-06-04
* Enhancement: Allow registered users to save drafts of job listings to be continued later from job dashboard.
* Enhancement: Allow access to job listing fields in REST API.
* Enhancement: Required job categories and job description fields are now checked before submit on frontend job submission form.
* Enhancement: Optimized database query in WP admin job listings page.
* Enhancement: Added submit button on job filter template for `[jobs]` shortcode to improve accessibility.
* Enhancement: Added option to show company logo on Featured Jobs widget.
* Enhancement: `[jobs]` filter form values are kept during a session and results cached when clicking on job listing.
* Enhancement: Reintroduce change from 1.32.0 where job types can be preselected in `[jobs]` shortcode with `?search_job_type=term-slug`. (@felipeelia)
* Fix: Embedded videos are no longer removed from job descriptions.
* Fix: Company logo showing outside of box on job listing page.
* Dev: Limit the number of files per multi-file upload field by passing `file_limit` to the field in the `submit_job_form_fields` filter.
* Dev: Added field type class to fieldset on job submission fields. (@tripflex)
* Deprecation: Removed unreleased REST API implementation hidden under `WPJM_REST_API_ENABLED` constant.
* Deprecation: Added warning for upcoming minimum PHP version requirement of 5.6.20.
* Usage Tracking: Track source of job submission (frontend vs WP admin) to better understand how jobs are entered.
* Usage Tracking: Track official extension license events and activation to better compare types of usage between users and catch activation errors.

## 1.32.3 - 2019-04-23
* Fix: Escape tooltip text in WordPress admin. (Props hd7exploit)
* Fix: Escape user display names on author selector while editing job listings. (Props hd7exploit)

## 1.32.2 - 2019-02-26
* Fix: Issue saving job types for job listings in WordPress admin after WordPress 5.1 update.
* Fix: Add nonce checks on edit/submit forms for logged in users. Will require updates to `templates/job-preview.php` if overridden in theme. (Props to foobar7)
* Fix: Escape JSON encoded strings.
* Fix: Add additional sanitization for file attachment fields.

## 1.32.1 - 2019-01-29
* Fix: Adds compatibility with PHP 7.3
* Fix: Restores original site search functionality.

## 1.32.0 - 2019-01-23
* Enhancement: Switched from Chosen to Select2 for enhanced dropdown handling and better mobile support. May require theme update.
* Enhancement: Draft and unsubmitted job listings now appear in `[job_dashboard]`, allowing users to complete their submission.
* Enhancement: [REVERTED IN 1.32.1] Filled and expired positions are now hidden from WordPress search. (@felipeelia)
* Enhancement: Adds additional support for the new block editor. Restricted to classic block for compatibility with frontend editor.
* Enhancement: Job types can be preselected in `[jobs]` shortcode with `?search_job_type=term-slug`. (@felipeelia)
* Enhancement: Author selection in WP admin now uses a searchable dropdown.
* Enhancement: Setup wizard is accessed with a flash message instead of an automatic redirect upon activation.
* Enhancement: When using supported themes, job listing archive slug can be changed in Permalink settings.
* Fix: Company tagline alignment issue with company name. (@0xDELS)
* Fix: "Load Previous Listings" link unnecessarily shows up on `[jobs]` shortcode. (@tonytettinger)
* Fix: Category selector fixed in the job listings page in WP Admin. (@AmandaJBell)
* Fix: Issue with quote encoding on Apply for Job email link.
* Fix: Link `target` attributes have been removed in templates.
* Dev: Allow for job submission flow to be interrupted using `before` argument on form steps.
* Dev: HTML allowed in custom company field labels. (@tripflex)
* Dev: Job feed slug name can be customized with the `job_manager_job_feed_name` filter.
* Deprecated: Unreleased REST API implementation using `WPJM_REST_API_ENABLED` was replaced with standard WP REST API.

## 1.31.3 - 2018-08-23
* Fix: Escape the attachment URL. (Props to karimeo)
* Fix: Custom job field priority fix when using decimals. (@tripflex)
* Fix: Fix issue with empty mutli-select in WP admin jobs page. (@felipeelia)
* Fix: Issue with data export when email doesn't have any job listings.
* Third Party: Improved WPML support. (@vukvukovich)

## 1.31.2 - 2018-07-13
* Fix: Adds missing quote from WP admin taxonomy fields. (@redpik)

## 1.31.1 - 2018-07-11
* Enhancement: Add option to show company logo in Recent Jobs widget. (@RajeebTheGreat)
* Enhancement: Suggest additional cookie information on Privacy Policy page.
* Enhancement: Add WPJM related meta data to user data extract.
* Fix: Tightened the security of the plugin with additional string escaping.
* Fix: Issue with map link in admin backend. (@RajeebTheGreat)
* Fix: No longer auto-expire job listings in Draft status.
* Fix: Issue with undefined index error in WP admin. (@albionselimaj)
* Fix: Issue with duplicate usernames preventing submission of job listings. (@timothyjensen)
* Dev: Widespread code formatting cleanup throughout the plugin.

## 1.31.0 - 2018-04-26
* Change: Minimum WordPress version is now 4.7.0.
* Enhancement: Add email notifications with initial support for new jobs, updated jobs, and expiring listings.
* Enhancement: For GDPR, scrub WPJM data from database on uninstall if option is enabled.
* Enhancement: Filter by Filled and Featured status in WP admin.
* Enhancement: Simplify the display of application URLs.
* Enhancement: When using WPML, prevent changes to page options when on a non-default language. (@vukvukovich)
* Enhancement: Include company logo in structured data. (@RajeebTheGreat)
* Enhancement: Use more efficient jQuery selectors in scripts. (@RajeebTheGreat)
* Enhancement: Use proper `<h2>` tag in `content-summary-job_listing.php` template for the job title. (@abdullah1908)
* Enhancement: Hide empty categories on `[job]` filter.
* Fix: Update calls to `get_terms()` to use the new format.
* Fix: Maintain the current tab when saving settings in WP Admin.
* Fix: Enqueue the date picker CSS when used on the front-end.
* Fix: Remove errors when widget instance was created without setting defaults.
* REST API Pre-release: Add support for job category taxonomy endpoints.
* Dev: Add `$job_id` parameter to `job_manager_job_dashboard_do_action_{$action}` action hook. (@jonasvogel)
* Dev: Add support for hidden WPJM settings in WP Admin.

## 1.30.2 - 2018-03-28
* Enhancement: Show notice when user is using an older version of WordPress.
* Enhancement: Hide unnecessary view mode in WP Admin's Job Listings page. (@RajeebTheGreat)
* Enhancement: Add support for the `paged` parameter in the RSS feed. (@RajeebTheGreat)
* Fix: Minor PHP 7.2 compatibility fixes.
* Dev: Allow `parent` attribute to be passed to `job_manager_dropdown_categories()`. (@RajeebTheGreat)

## 1.30.1 - 2018-03-12
* Fix: Minor issue with a strict standard error being displayed on some instances.

## 1.30.0 - 2018-02-28
* Enhancement: Adds ability to have a reCAPTCHA field to check if job listing author is human.
* Enhancement: Allows for option to make edits to job listings force listing back into pending approval status.
* Enhancement: Adds spinner and disables form when user submits job listing.
* Enhancement: Update the add-ons page of the plugin.
* Enhancement: Added the ability to sort jobs randomly on the Featured Jobs Widget.
* Enhancement: Improved handling of alternative date formats when editing job expiration field in WP admin.
* Enhancement: Added star indicator next to featured listings on `[job_dashboard]`.
* Enhancement: Opt-in to usage tracking so we can better improve the plugin.
* Enhancement: Introduced new asset enqueuing strategy that will be turned on in 1.32.0. Requires plugin and theme updates. (Dev notes: https://github.com/Automattic/WP-Job-Manager/pull/1354)
* Fix: Use WordPress core checks for image formats to not confuse `docx` as an image. (@tripflex)
* Fix: Issue with `[jobs]` shortcode when `categories` argument is provided.
* Fix: Issue with double encoding HTML entities in custom text area fields.
* Fix: Updates `job-dashboard.php` template with `colspan` fix on no active listings message.
* Fix: Clear job listings cache when deleting a user and their job listings.
* Dev: Adds `is_wpjm()` and related functions to test if we're on a WPJM related page.
* Dev: Adds `job_manager_user_edit_job_listing` action that fires after a user edits a job listing.
* Dev: Adds `job_manager_enable_job_archive_page` filter to enable job archive page.
* Dev: Adds `date` field for custom job listing form fields.

## 1.29.3 - 2018-01-31
* Fix: When retrieving job listing results, cache only the post results and not all of `WP_Query` (props slavco)

## 1.29.2 - 2017-12-04
* Fix: PHP Notice when sanitizing multiple inputs (bug in 1.29.1 release). (@albionselimaj)

## 1.29.1 - 2017-11-29
* Enhancement: When retrieving listings in `[jobs]` shortcode, setting `orderby` to `rand_featured` will still place featured listings at the top.
* Enhancement: Scroll to show application details when clicking on "Apply for Job" button.
* Change: Updates `account-signin.php` template to warn users email will be confirmed only if that is enabled.
* Fix: Sanitize URLs and emails differently on the application method job listing field.
* Fix: Remove PHP notice in Featured Jobs widget. (@himanshuahuja96)
* Fix: String fix for consistent spelling of "license" when appearing in strings. (@garrett-eclipse)
* Fix: Issue with paid add-on licenses not showing up when some third-party plugins were installed.
* Dev: Runs new actions (`job_manager_recent_jobs_widget_before` and `job_manager_recent_jobs_widget_after`) inside Recent Jobs widget.
* Dev: Change `wpjm_get_the_job_types()` to return an empty array when job types are disabled.
* See all: https://github.com/Automattic/WP-Job-Manager/milestone/15?closed=1

## 1.29.0 - 2017-10-04
* Enhancement: Moves license and update management for official add-ons to the core plugin.
* Enhancement: Update language for setup wizard with more clear descriptions.
* Fix: Prevent duplicate attachments to job listing posts for non-image media. (@tripflex)
* Fix: PHP error on registration form due to missing placeholder text.
* Fix: Apply `the_job_application_method` filter even when no default is available. (@turtlepod)
* Fix: Properly reset category selector on `[jobs]` shortcode.

## 1.28.0 - 2017-08-09
* Enhancement: Improves support for Google Job Search by adding `JobPosting` structured data.
* Enhancement: Adds ability for job types to be mapped to an employment type as defined for Google Job Search.
* Enhancement: Requests search engines no longer index expired and filled job listings.
* Enhancement: Improves support with third-party sitemap generation in Jetpack, Yoast SEO, and All in One SEO.
* Enhancement: Updated descriptions and help text on settings page.
* Enhancement: Lower cache expiration times across plugin and limit use of autoloaded cache transients.
* Fix: Localization issue with WPML in the [jobs] shortcode.
* Fix: Show job listings' published date in localized format.
* Fix: Job submission form allows users to select multiple job types when they go back a step.
* Fix: Some themes that overloaded functions would break in previous release.
* Dev: Adds versions to template files so it is easier to tell when they are updated.
* Dev: Adds a new `wpjm_notify_new_user` action that allows you to override default behavior.
* Dev: Early version of REST API is bundled but disabled by default. Requires PHP 5.3+ and `WPJM_REST_API_ENABLED` constant must be set to true. Do not use in production; endpoints may change. (@pkg)

## 1.27.0 - 2017-07-12
* Enhancement: Admins can now allow users to specify an account password when posting their first job listing.
* Enhancement: Pending job listing counts are now cached for improved WP Admin performance. (@tripflex)
* Enhancement: Allows users to override permalink slugs in WP Admin's Permalink Settings screen.
* Enhancement: Allows admins to perform bulk updating of jobs as filled/not filled.
* Enhancement: Adds job listing status CSS classes on single job listings.
* Enhancement: Adds `wpjm_the_job_title` filter for inserting non-escaped HTML alongside job titles in templates.
* Enhancement: Allows admins to filter by `post_status` in `[jobs]` shortcode.
* Enhancement: Allows accessing settings tab from hash in URL. (@tripflex)
* Fix: Make sure cron jobs for checking/cleaning expired listings are always in place.
* Fix: Better handling of multiple job types. (@spencerfinnell)
* Fix: Issue with deleting company logos from job listings submission form.
* Fix: Warning thrown on job submission form when user not logged in. (@piersb)
* Fix: Issue with WPML not syncing some meta fields.
* Fix: Better handling of AJAX upload errors. (@tripflex)
* Fix: Remove job posting cookies on logout.
* Fix: Expiration date can be cleared if default job duration option is empty. (@spencerfinnell)
* Fix: Issue with Safari and expiration datepicker.

## 1.26.2 - 2017-06-12
* Fix: Prevents use of Ajax file upload endpoint for visitors who aren't logged in. Themes should check with `job_manager_user_can_upload_file_via_ajax()` if using endpoint in templates.
* Fix: Escape post title in WP Admin's Job Listings page and template segments. (Props to @EhsanCod3r)

## 1.26.1 - 2017-06-06
* Enhancement: Add language using WordPress's current locale to geocode requests.
* Fix: Allow attempts to use Google Maps Geocode API without an API key. (@spencerfinnell)
* Fix: Issue affecting job expiry date when editing a job listing. (@spencerfinnell)
* Fix: Show correct total count of results on `[jobs]` shortcode.

## 1.26.0 - 2017-05-24
* Enhancement: Warn the user if they're editing an existing job.
* Enhancement: WP Admin Job Listing page's table is now responsive. (@turtlepod)
* Enhancement: New setting for hiding expired listings from `[jobs]` filter. (@turtlepod)
* Enhancement: Use WP Query's built in search function to improve searching in `[jobs]`.
* Fix: Job Listing filter only searches meta fields with relevant content. Add custom fields with `job_listing_searchable_meta_keys` filter. (@turtlepod)
* Fix: Improved support for WPML and Polylang.
* Fix: Expired field no longer forces admins to choose a date in the future. (@turtlepod)
* Fix: Listings with expiration date in past will immediately expire; moving to Active status will extend if necessary. (@turtlepod)
* Fix: Google Maps API key setting added to fix geolocation retrieval on new sites.
* Fix: Issue when duplicating a job listing with a field for multiple file uploads. (@turtlepod)
* Fix: Hide page results when adding links in the `[submit_job_form]` shortcode.
* Fix: Job feed now loads when a site has no posts.
* Fix: No error is thrown when deleting a user. (@tripflex)
* Dev: Plugins and themes can now retrieve JSON of Job Listings results without HTML. (@spencerfinnell)
* Dev: Updated inline documentation.

## 1.25.3 - 2017-03-08
* Enhancement: Allow job types to be optional, just like categories. https://github.com/automattic/wp-job-manager/pull/789 Props Donncha.
* Enhancement: Add get_job_listing_types filter. https://github.com/automattic/wp-job-manager/pull/824 Props Adam Heckler.
* Enhancement: Various date format setting improvements. See https://github.com/automattic/wp-job-manager/pull/757 Props Christian Nolen.
* Enhancement: Pass search values with the job_manager_get_listings_custom_filter_text filter. https://github.com/automattic/wp-job-manager/pull/845 Props Kraft.
* Fix: Prevent a potential CSRF vector. https://github.com/automattic/wp-job-manager/pull/891 Props Jay Patel for the responsible disclosure.
* Fix: Improve load time by removing unnecessary oEmbed call. https://github.com/automattic/wp-job-manager/pull/768 Props Myles McNamara.
* Fix: Improve WPML compatability. https://github.com/automattic/wp-job-manager/pull/787 Props Spencer Finnell.
* Fix: Add an implicit whitelist for API requests. https://github.com/automattic/wp-job-manager/pull/855 Props muddletoes.
* Fix: Fixed taxonomy search conditions. See https://github.com/automattic/wp-job-manager/pull/859/ Props Jonas Vogel.

## 1.25.2 - 2016-10-26
* Fix - The date format of the expiry date picker was incorrect in translations so we added a comment to clarify, and fixed translations.
* Fix - Changing the date of an expired job would forget the date, even though the job would become active.
* Fix - Site owner can allow jobs to have only one or more than one types.
* Fix - Show expired jobs if that setting is enabled.
* Fix - Simplify the search message on the jobs page to avoid translation problems.
* Fix - The uploader would ignore WordPress created image sizes.
* Fix - setup.css was loaded on all admin pages.
* Fix - The preview of a listing could be edited or viewed by anyone. Props @tripflex
* Fix - When users were deleted their jobs weren't.
* Fix - OrderBy Rand wasn't working.
* Dev - Add upload filters and update PHPDocs, props @tripflex
* Fix - Stop using jQuery.live, props @tripflex

## 1.25.1
* Feature - Adds a view button to the Admin UI for easy access to submitted files or URLs. Props tripflex
* Fix - Add hardening to file uploads to prevent accepting unexpected file times. Previously, other WP-allowed types were sometimes accepted.
* Fix - Job post form categories are now properly cached and displayed per language when using WPML or Polylang.
* Fix - Refactored WPML workaround, which was causing no job listings on non-default languages.
* Fix - Allow employers to edit job listings when a listing is pending payment.
* Fix - No longer display Job Taxonomies in the WordPress tag cloud.
* Fix - Migrate away from jQuery.live, which is no longer supported.
* Tweak - Updated incorrect settings description.
* Dev - Adds hook to add items in a job's RSS feed item.
* Dev - Adds filter to disable Job Listings cache
* Dev - Inline docs and coding standards improvements.

## 1.25.0 - 2016-03-11
* Feature - Ability to duplicate listings from job dashboard.
* Fix - Support WP_EMBED in job descriptions.
* Fix - Ensure logo is displayed on edit, before submission.
* Fix - Attachment URLs on multisite.
* Fix - Refactored WPML workaround, which was causing no job listings on non-default languages.
* Fix - No need to decode URLs anymore https://core.trac.wordpress.org/ticket/23605.
* Dev - submit_job_form_end/submit_job_form_start actions.
* Dev - job-manager-datepicker class for backend date fields.

## 1.24.0 - 2016-02-04
* Feature - Use featured images to store company logos.
* Feature - Search term names for keywords.
* Feature - Search custom fields in backend job listing search.
* Tweak - Allow job expiry field to be localised.
* Fix - The above change avoids creation of duplicate images in media library.
* Dev - Added methods to WP_Job_Manager_Form; get_steps, get_step_key, set_step.
* Dev - Made WP_Job_Manager_Form call the next 'handler' if no view is defined for the next step.
* Dev - Added template to control job preview form.

## 1.23.13 - 2015-11-28
* Fix - Conflict between the_job_location() and the regions plugin.
* Tweak - Allow some HTML in the_job_location - uses wp_kses_post.

## 1.23.12 - 2015-11-26
* Fix - Transient clear query.
* Tweak - New user notification pluggable function.
* Tweak - Use subquery in keyword search to avoid long queries.
* Tweak - Only search for keywords of 2 or more characters.
* Tweak - job_manager_get_listings_keyword_length_threshold filter.
* Tweak - PolyLang compatibility functions.
* Tweak - Unattach company logo when a new attachment is uploaded.

## 1.23.11 - 2015-11-05
* Fix - Author check in job_manager_user_can_edit_job().
* Tweak - Before deleting a job, delete its attachments.
* Tweak - Show previews in backend if needed.

## 1.23.10 - 2015-11-03
* Fix - Handle WP 4.3 signup notification.
* Fix - Map mime types to those that WordPress knows.
* Fix - Alert text color.
* Fix - Searches containing special chars.
* Tweak - Improved uploader error handling and updated library.
* Tweak - Improve job_manager_user_can_post_job and job_manager_user_can_edit_job capability handling in job-submit.php
* Tweak - Clear transients in batches of 500.
* Tweak - Removed transifex and translations - translation will take place on https://translate.wordpress.org/projects/wp-plugins/wp-job-manager

## 1.23.9 - 2015-08-24
* Fixed editing content with wp_editor. Can no longer be passed to function already escaped.

## 1.23.8 - 2015-08-20
* Fix - Security: XSS issue in account signin.
* Tweak - Update new account email text.

## 1.23.7 - 2015-08-19
* Fix - 4.3 issue showing "Description is a required field" due to editor field.
* Tweak - Default job_manager_delete_expired_jobs to false. Set to true to have expired jobs deleted automatically. More sensible default.
* Tweak - job_manager_term_select_field_wp_dropdown_categories_args filter.
* Tweak - Ajax WPML handling.

## 1.23.6
* Fix - job_manager_ajax_filters -> job_manager_ajax_file_upload in file upload script.

## 1.23.5
* Feature - Allow [job_summary] to output multiple listings via 'limit' parameter.
* Feature - Added flowplayer support.
* Fix - Special chars in feeds.
* Fix - Permalinks with index.php inside.
* Fix - Notice when saving job form.
* Fix - PHP4 widget constructors (https://gist.github.com/chriscct7/d7d077afb01011b1839d).
* Tweak - Allow translation of job_manager_dropdown_categories.
* Tweak - Added handling for .job-manager-filter class.
* Tweak - Added trailing slashes to ajax endpoints.
* Tweak - Made videos responsive.
* Tweak - job_manager_attach_uploaded_files filter.

## 1.23.4 - 2015-06-19
* Tweak - In 1.21.0 we switched to GET ajax requests to leverage caching, however, due to the length of some queries this was causing 414 request URI too long errors in many environments. Reverted to POST to avoid this.
* Tweak - flush_rewrite_rules after updates to ensure ajax endpoint exists.
* Tweak - Use relative path for ajax endpoint to work around https/http.

## 1.23.3 - 2015-06-18
* Fix - WPML integration with lang.
* Tweak - Improved plugin activation code.
* Tweak - Improved theme switch code.
* Tweak - Search the entire meta field, not just from the start.
* Tweak - Added some debugging code to ajax-filters to display in console.

## 1.23.2 - 2015-06-18
* Fix - Send entire form data (listify workaround).
* Fix - Set is_home false on ajax endpoint (listify workaround).

## 1.23.1 - 2015-06-18
* Fix - Orderby featured should be "menu order, date", not "manu order, title".
* Tweak - Remove duplicate data from form_data in filters JS.
* Tweak - If index is -1 in filters JS, abort.

## 1.23.0 - 2015-06-17
* Feature - Custom AJAX endpoints to reduce overhead of loading admin.
* Feature - Support radio fields.
* Fix - Video max width.
* Tweak - Admin remove overflow hidden from data box.
* Tweak - Update notice styling.
* Tweak - Improve orderby. https://make.wordpress.org/core/2014/08/29/a-more-powerful-order-by-in-wordpress-4-0/
* Tweak - nofollow apply links.
* Tweak - Rename 'title' to 'job title' for clarity.
* Tweak - submit_job_form_prefix_post_name_with_company filter.
* Tweak - submit_job_form_prefix_post_name_with_location filter.
* Tweak - submit_job_form_prefix_post_name_with_job_type filter.
* Tweak - Improved job_feed searching.
* Tweak - Improved transient cleaning.

## 1.22.3 - 2015-04-22
* Fix frontend listing edits.

## 1.22.2 - 2015-04-21
* Tweak - Set form actions to current page.
* Fix - Video embeds.
* Fix - Load textdomain before post types are registered.

## 1.22.1 - 2015-04-17
* Fix - It's 2015, but some people are still running PHP 5.2. Compatibility fix.

## 1.22.0 - 2015-04-17
* Tweak - Refactored form classes to be instance based rather than static. Reduction in code base.
* Tweak - Admin styling of the job data panels.
* Tweak - Admin styling of the status column.
* Tweak - Better handling of the expiry field.
* Tweak - Search _geolocation_state_long.
* Tweak - Allow admin fields to have custom 'name'.
* Tweak - Use wp_video_shortcode instead of oembed directly.
* Tweak - Tweak menu order code for featured jobs - use -1 for featured and leave other jobs alone.
* Tweak - Clear expired date when publishing an expired listing.
* Tweak - clear_expired_transients function.
* Fix - Prevent term-checklist being disabled for guests.
* Fix - Add WPML var to transient name.
* Fix - Remove use of create_function.

## 1.21.4 - 2015-03-20
* Fix - get_job_listings_keyword_search keyword search.
* Fix - Clear term cache when terms are set for any object.
* Fix - Legacy uploads.
* Tweak - RTL improvements.
* Tweak - Use RLIKE to search keywords in content.
* Tweak - Show relative pagination.
* Updated translations.
* Arabic translation by Mamdouh Samy.

## 1.21.3 - 2015-03-17
* Feature - Support posts_per_page in feed.
* Fix - Correctly set menu_order when creating a new job, or updating featured status.
* Fix - Updater when there are no featured jobs.
* Fix - Add geolocation_street_number to clear_location_data.

## 1.21.2 - 2015-03-15
* Fix - Remove requried attribute from file input.

## 1.21.1 - 2015-03-14
* Fix - Remove file type check when field is not required and empty.
* Fix - Hide "Applications have closed" for previews.

## 1.21.0 - 2015-03-14
* Feature - Ajax loading history - back button will take you back to current position in the search. If you are on > page 1, a 'load previous' button will be shown so you can paginate either way.
* Feature - Ajax file upload during job submission.
* Feature - Cookie set when submitting a job to allow resuming if you leave the page.
* Feature - job_apply shortcode to show application area in other places on your site.
* Feature - Allow admin fields to be priority sorted.
* Feature - Featured job widget.
* Feature - Scroll to top on pagination click.
* Feature - Option to "Hide content within expired listings". If disabled, expired listings will be listed normally with applications disabled.
* Fix - Prevent attachments being uploaded several times.
* Fix - Expiry date on first save.
* Fix - Relist should go back to form.
* Fix - jquery.com CDN for CSS.
* Tweak - Geocode street and street number separately.
* Tweak - File upload field markup.
* Tweak - Added filters around taxonomy definition.
* Tweak - Chanced search logic/query to use the new meta queries in 4.1.
* Tweak - Implement transient caching for searches.
* Tweak - Removed wp_dropdown_user due to performance concerns.
* Tweak - Use menu_order to make featured listings sticky. Improves performance.
* Tweak - Retrieve AJAX jobs with GET rather than POST request to take advantage of more caching. Plugins looking for POST data will need to update to look for GET/REQUEST instead.
* Tweak - Prevent themes that (sigh) mess with content hooks from breaking inputs.
* Tweak - Remove unused job-category field.
* Tweak - Hide company div if company name missing.

## 1.20.1 - 2015-01-26
* Fix - Core template overrides.
* Updated localisations.

## 1.20.0 - 2015-01-25
* Feature - Sortable location column in admin.
* Feature - Automatically Generate Username from Email Address option (disable to show a username field).
* Feature - 'filled' option for job shortcode to show all filled/non filled jobs.
* Fix - Pagination with default permalinks.
* Fix - Correctly generate geolocation data when adding a post manually.
* Fix - Chosen width when resizing the page.
* Fix - Show no jobs when all types de-selected.
* Tweak - content-widget-no-jobs-found.php template file.
* Tweak - Don't limit keyword search query functions to published jobs.
* Tweak - job_manager_output_jobs_no_results action.
* Tweak - No results template hooked into job_manager_output_jobs_no_results.
* Tweak - Changed content-no-jobs-found.php content to work for ajax and static lists of jobs. Tweaked text.
* Tweak - job_manager_default_company_logo filter for changing default company image.
* Tweak - Enhance multiselect field with chosen.
* Dev - Abiltiy to pass shortcode args to submit_job_form shortcode.
* Dev - Made get_job_manager_template_part() use locate_job_manager_template().
* Dev - Changed how username/email/role are passed to wp_job_manager_create_account (backwards compat).

## 1.19.0 - 2014-12-18
* Feature - Added html5 required attribute to required fields.
* Feature - Added compatibility with RP4WP.
* Fix - Chosen RTL.
* Fix - Addded additonal check to check edit capabilities.
* Fix - Add correct step input to submission form.
* Tweak - Add CSS class to 'showing' bar when shoing all results (no filters).
* Tweak - Geocode, use sublocality_level_1 as city.
* Tweak - Don't update slug when editing via the frontend.
* Tweak - Set default meta data for new jobs.
* Tweak - Add geolocation data after import with WP ALL Import.
* Tweak - Filter to disable chosen: job_manager_chosen_enabled
* Tweak - Login link on job dashboard. job-dashboard-login.php template file.
* Tweak - Made backend management honour capabilities of users. Props to minderdl.

## 1.18.0 - 2014-11-16
* Fix - Keep post name when pending job is posted by non-admin.
* Fix - Prevent special chars breaking the feeds.
* Tweak - Added new capabilities for all aspects of Job Listing Management. e.g. edit_job_listings, add_job_listing etc etc. Admin role will be updated on activation/upgrade. If you use custom roles, you'll need to edit them to grant access to the parts you wish.
* Tweak - Improved uninstaller.
* Tweak - Clear location data should include geolocation_postcode.
* Tweak - Always show 'showing' bar, but conditonally show 'reset' link.
* Tweak - Trigger geolocation whenever location field is saved, even by 3rd parties.

## 1.17.0 - 2014-10-22
* Feature - job_manager_user_can_edit_pending_submissions function and setting.
* Feature - Job summary shortcode - support random display of job (featured or non featured).
* Feature - In admin, when clicking an author name show all jobs for that author.
* Tweak - Added sanitization function to form class to handle strings and arrays.

## 1.16.1 - 2014-10-11
* Fix - Use triggerHandler() instead of trigger() in ajax-filters to prevent events bubbling up.
* Fix - Append current 'lang' to AJAX calls for WPML.
* Fix - When specifying categories on the jobs shortcode, don't clear those categories on reset.
* Tweak - Added job_manager_admin_screen_ids filter.

## 1.16.0 - 2014-10-07
* Added setup wizard for new installs that creates pages/shortcodes automatically.
* Added job_manager_get_permalink function.
* Fix - Only show website link when actually set.
* Fix - Only validate application when field is set.
* Tweak - Added description to all fields.
* Tweak - Added better setting fields for defining which pages contain the shortcodes.
* Tweak - Nofollow website links.
* Tweak - Removed font-sizes from default CSS and fixed display in default WP themes.

## 1.15.0 - 2014-09-21
* Added location/keyword option to recent jobs widget.
* Added job-listings-start and job-listings-end.php templates for customisation the wrapping elements.
* Added filter type option for job categories. Can be set to require matching to any or all selected categories.
* Added checkbox field type for forms.
* Made backend application email field default to logged in user.
* Fix - job_manager_get_resized_image to not error when it cannot read the image file.
* Fix - Make admin_url relative.
* Fix - Chosen CSS cutting off the placeholder in Firefox.
* Fix - Added _company_video in backend.

## 1.14.0
* Extra filters for the filters template.
* Changed text strings for easier customisations based on post type labels, and made some strings more generic.
* New field types - term-checklist, term-multiselect, term-select. These save terms only.
* Added chosen javascript to enhance multiselect boxes when needed.
* Multiple category support.
* Attach Images on Upload to the job posts.
* Added an option to show a multiselect for categories on the job filters.
* Enabled chosen() for the job category filter.
* Added content-single-job_listing-company.php and content-single-job_listing-meta.php templates. These are hooked in.
* Added optional company video field to submission form.
* Video appended to company information box.
* the_company_video() and get_the_company_video() functions.
* show_more="false" for jobs shortcode to prevent loading more jobs.
* job_manager_delete_expired_jobs filter (__return_false to disable expired job deletion).
* job_manager_delete_expired_jobs_days filter (set number of days before deletion - default is 30).
* Support HTML5 multiple attribute for file upload field. Pass multiple=>'true' to form field definition to enable.
* Later loading for template functions.

## 1.13.0
* Shortcode arg to show numbered pagination instead of 'load more jobs'. show_pagination argument.
* Define support for Jetpack publicize.
* Show company name alt text for company logo.
* Sort jobs by title, date, expirey date.
* Added noscript element for jobs shortcode.
* filter_var to validate URLs on the job submission form.

## 1.12.1
* Job submission form categories must not hide empty categories.

## 1.12.0
* On the job submission form, display hierarchical categories.
* Use job_manager_ prefixed hooks for registration (register_post/registration_errors/register_form) to prevent issues with Captcha plugins.
* Pass $post to job_manager_application_email_subject
* Additonal hooks in job-filters template, and moved out job types output to separate template file.
* Option to set the job dashboard page slug so plugins know where to look.
* Allow you@yourdomain.com to be translated.
* Make taxonomies hidden unless current_theme_supports( 'job-manager-templates' )
* Adjusted job application area styling and added some additonal filters.
* Improve backend order status selection.
* Added some responsive styles for job lists.
* Allow users to relist a job from the frontend. (Ensure WC Paid Listings and Simple Paid Listings are updated to support this).

## 1.11.1
* Fix ajax filters 'true' for show_filters
* Fix geocoding for certain address strings
* Fix keywords typo
* Remove deprecated $wpdb->escape calls. Replaced with esc_sql

## 1.11.0
* Switch geocode to json and improve error checking.
* If query limit is reached, stop making requests for a while.
* Added extra data inside job_feed.
* Few extra icons in font.
* Additonal hooks in single template.
* Pick up search_category from querystring to set default/selected category.
* Ability to define selected_job_types for the jobs shortcode which will set the default job type filters.
* Took out show_featured_only arg for the [jobs] shortcode and added 'featured' which can be set to true or false to show or hide featured jobs, or left null to show both.
* Removed nonce from frontend job submission form to prevent issues with caching.

## 1.10.0
* Trigger change on 'enter' when filtering jobs.
* Updated add-ons page to pull from wpjobmanager.com.
* Updated links.
* Fixed support for custom upload URLs.
* Choose/limit application method to email, url or either.
* Default application value (if logged in) set to user's email address.
* show_featured_only option for [jobs] shortcode.
* Add required-field class around required inputs.
* Enable paste as text in wp-editor field.

## 1.9.3
* Fix email URLs.
* Target blank for application URLs.
* Add posted by (author) setting in backend.
* When saving jobs, ensure _featured and _filled are set.
* Load admin scripts conditionally.

## 1.9.2
* Fix missing parameter in application_details_url causing URLs to be missing when applying.

## 1.9.1
* Removed resource heavy 'default_meta' function from the installation process.

## 1.9.0
* Template - Split off URL and email application methods and added new hooks. This allows other plugins to manipulate the content.
* Pass $values to edit job save function so permalinks are preserved.
* When showing filters, ensure we check by slug if category is non-numeric.
* Give listings ul a min height so that loading image is visible.
* content-no-jobs-found.php template.
* Fix apostrophe direction in signin template.
* Bulk expire jobs.
* submit_job_form_required_label hook.
* ability to set default state for selects on submit form.
* allow passed in classes in get_job_listing_class function.
* Hook in the content only if in_the_loop(). Fixes issues with jobify and yoast SEO.
* Removed .clear mixin to prevent theme conflicts.

## 1.8.2
* For initial load, target all .job_filters areas. Jobify compat.

## 1.8.1
* Fix - Corrected check to see if any category terms with jobs exist

## 1.8.0
* Feature - Take search/location vars from the querystring if set
* Feature - Option to choose role for registration, and added an 'employer' role.
* Feature - Support for comma separated keywords when searching
* Fix - Use add_post_meta when editing a job to maintain featured status
* Fix - category ordering
* Fix - searching for keyword + location at the same time
* Fix - Only show categories select box when they exist
* Dev - job_manager_application_email_subject filter

## 1.7.3
* Some changes to file uploads to support custom mime types
* Updated icon file (http://fontello.com/)
* Fix category rss links
* When doing a location search, search geolocation data
* Fix notices when removing all company fields
* Made jslint happy with ajax-filters.js
* Use get_option( 'default_role' ) when creating a user
* Grunt for release

## 1.7.2
* Preserve line breaks when saving textarea fields in admin
* Hide 'showing all x' when no filters are chosen.
* Register 'preview' status so that the counts are correct.
* Delete previews via cron job.

## 1.7.1
* Updated textdomain to wp-job-manager
* Re-done .pot file
* Additonal filters for ajax responses
* Moved localisations to Transifex https://www.transifex.com/projects/p/wp-job-manager/

## 1.7.0
* Added geolocation to save location data to meta after posting or saving a job. This will be used by other plugins.
* Filter job_manager_geolocation_enabled and return false to turn off geolocation features.
* Jobs shortcode can now be passed 'location' and 'keywords' to set the default for filters, or show only jobs with those keywords if filters are disabled
* Html fix in widget
* Add border around wp editor
* Fix company logo in firefox
* submit_job_form_wp_editor_args filter
* "Empty" categories are visible when filtering jobs in admin.

## 1.6.0
* MP6/WP 3.8 optimised styling. Min version 3.8 for new styling.
* Removed images previously used in admin.
* Tweak the_company_logo() to check if logo is valid URL.
* Replaced Genericons with custom set
* Only show link to view job on dashboard when published

## 1.5.2
* Fix wp-editor field
* Fix editing job images

## 1.5.1
* Changed get_the_time to get_post_time
* Added textarea and wp-editor to form api
* When using the job submit form, generate a more unqiue slug for the job - company-location-type-job-title
* Ability to remove image from job submission form
* Update icon font
* Fix job_types filters
* Field_select in admin
* Fix access control on job editing
* Job forms multiselect support

## 1.5.0
* Ability to edit job expiration date manually via admin
* Settings API: Password field
* Frontend Forms: Password field
* Correctly turn off expiration when 'days' is not set
* Greek should be el_GR
* Settings: Use key for tabs - fixes issues with locales
* Show pending count in admin menu
* Added job_types argument to jobs shortcode to show jobs of a certain type only
* Hierarchical dropdown for categories on filter form
* job_manager_job_submitted hook in submission form

## 1.4.0
* Added pagination to the job dashboard to avoid memory issues
* Schema.org markup for job listings
* Greek translation by Ioannis Arsenis

## 1.3.1
* Remove line breaks from markup to prevent theme issues

## 1.3.0
* When using the [jobs] shortcode without filters, if jobs > per-page show the 'load more' link
* Clearfix for meta div
* Hooked up $size option for company logos
* submit_job_form_save_job_data filter
* Italian translation
* Brazillian Portuguese translation
* Respect other plugin columns in admin
* Re-arranged admin columns to show less non-useful data

## 1.2.0
* Support for featured job listings
* Support for meta job duration
* set_expirey when publishing jobs from admin manually
* Update handler

## 1.1.3
* Corrected form field label
* Added french translation by Remi Corson

## 1.1.2
* job_manager_get_dashboard_jobs_args filter
* Better handling of submit job steps.
* Option to store the slug of the submit job page - used by addons.
* Use :input in JS to support multiple input types if customised.

## 1.1.1
* Improved accuracy of job search
* Fixed category filter dropdown in admin

## 1.1.0
* Tweaked css clearfixes
* Use built in antispambot for encoding email.
* job_manager_job_filters_showing_jobs_links filter
* IE8 Apply filters JS fix
* Fix spanish locale
* Fixed strict standards errors
* Improve 2013 Styles
* Addons page. Disabled usings add_filter( 'job_manager_show_addons_page', '__return_false' );

## 1.0.5
* Added function to get listings by certain criteria.
* Added ES translation.
* Fix job feed when no args are present.

## 1.0.4
* More hooks in the submit process.
* Hide apply button if url/email is unset.

## 1.0.3
* Some extra hooks in job-filters.php
* Added a workaround for scripts which bork placeholders inside the job filters.

## 1.0.2
* Action in update_job_data() to allow saving of extra fields.
* Added German translation by Chris Penning

## 1.0.1
* Slight tweak to listing field filters in admin.
* 'attributes' argument for admin settings.

## 1.0.0
* First stable release.
